Debian Bug report logs - #554214
linux-image-2.6.31-1-amd64: RaLink RT2561/RT61 wireless card stopped working in 2.6.31

version graph

Package: linux-2.6; Maintainer for linux-2.6 is Debian Kernel Team <debian-kernel@lists.debian.org>;

Reported by: Michal Kašpar <mkaspar@it-media.cz>

Date: Tue, 3 Nov 2009 19:51:36 UTC

Severity: important

Tags: moreinfo

Found in version 2.6.31-1

Done: Bastian Blank <waldi@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#554214; Package linux-2.6. (Tue, 03 Nov 2009 19:51:41 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michal Kašpar <mkaspar@it-media.cz>:
New Bug report received and forwarded. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Tue, 03 Nov 2009 19:51:41 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Michal Kašpar <mkaspar@it-media.cz>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: linux-image-2.6.31-1-amd64: RaLink RT2561/RT61 wireless card stopped working in 2.6.31
Date: Tue, 03 Nov 2009 20:18:49 +0100
Package: linux-2.6
Version: 2.6.31-1
Severity: important


After upgrade to kernel 2.6.31 (from 2.6.30), wireless card stopped
working. It seems to be set up fine, associates with AP but it is unable
to communicate. Ping or any other network communication doesn't work.
After reboot to 2.6.30, everything works fine.

-- Package-specific info:
** Kernel log: boot messages should be attached

** Model information
sys_vendor:         
product_name:         
product_version:         
chassis_vendor:         
chassis_version:         
bios_vendor: Intel Corp.
bios_version: DPP3510J.86A.0572.2009.0715.2346
board_vendor: Intel Corporation
board_name: DG33FB 
board_version: AAD81072-303

** Network interface configuration:
### etherconf DEBCONF AREA. DO NOT EDIT THIS AREA OR INSERT TEXT BEFORE IT.
# /etc/network/interfaces -- configuration file for ifup(8), ifdown(8)

auto lo eth0 eth1 wlan0

# The loopback interface
iface lo inet loopback

# The ethernet interface, configured by etherconf
iface eth0 inet static
	address 172.23.0.254
	netmask 255.255.255.0
	dns-nameservers 127.0.0.1

### END OF DEBCONF AREA.  PLACE YOUR EDITS BELOW; THEY WILL BE PRESERVED.
# rozhrani pro pppoe
iface eth1 inet manual
	up ifconfig $IFACE up
	down ifconfig $IFACE down

iface dsl-provider inet ppp
	provider dsl-provider

iface wlan0 inet static
	address 172.23.255.129
	netmask 255.255.255.0
	gateway 172.23.255.254
	dns-nameservers 172.23.255.254
	wireless-essid DEVON
	wireless-mode Managed
	wireless-key restricted s:XXX

** PCI devices:
00:00.0 Host bridge [0600]: Intel Corporation 82G33/G31/P35/P31 Express DRAM Controller [8086:29c0] (rev 02)
	Subsystem: Intel Corporation Device [8086:5044]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort+ >SERR- <PERR- INTx-
	Latency: 0
	Capabilities: <access denied>
	Kernel driver in use: agpgart-intel

00:01.0 PCI bridge [0604]: Intel Corporation 82G33/G31/P35/P31 Express PCI Express Root Port [8086:29c1] (rev 02) (prog-if 00 [Normal decode])
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx+
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Bus: primary=00, secondary=01, subordinate=01, sec-latency=0
	I/O behind bridge: 00003000-00003fff
	Memory behind bridge: e0300000-e03fffff
	Prefetchable memory behind bridge: 00000000c0000000-00000000cfffffff
	Secondary status: 66MHz- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- <SERR- <PERR-
	BridgeCtl: Parity- SERR- NoISA- VGA+ MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
	Capabilities: <access denied>
	Kernel driver in use: pcieport-driver

00:02.0 Display controller [0380]: Intel Corporation 82G33/G31 Express Integrated Graphics Controller [8086:29c2] (rev 02)
	Subsystem: Intel Corporation Device [8086:5044]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin A routed to IRQ 11
	Region 0: Memory at e0400000 (32-bit, non-prefetchable) [size=512K]
	Region 1: I/O ports at 4430 [size=8]
	Region 2: Memory at d0000000 (32-bit, prefetchable) [size=256M]
	Region 3: Memory at e0200000 (32-bit, non-prefetchable) [size=1M]
	Capabilities: <access denied>

00:03.0 Communication controller [0780]: Intel Corporation 82G33/G31/P35/P31 Express MEI Controller [8086:29c4] (rev 02)
	Subsystem: Intel Corporation Device [8086:5044]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin A routed to IRQ 11
	Region 0: Memory at e04a6100 (64-bit, non-prefetchable) [size=16]
	Capabilities: <access denied>

00:19.0 Ethernet controller [0200]: Intel Corporation 82566DC-2 Gigabit Network Connection [8086:294c] (rev 02)
	Subsystem: Intel Corporation Device [8086:0001]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx+
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin A routed to IRQ 30
	Region 0: Memory at e0480000 (32-bit, non-prefetchable) [size=128K]
	Region 1: Memory at e04a4000 (32-bit, non-prefetchable) [size=4K]
	Region 2: I/O ports at 4400 [size=32]
	Capabilities: <access denied>
	Kernel driver in use: e1000e

00:1a.0 USB Controller [0c03]: Intel Corporation 82801I (ICH9 Family) USB UHCI Controller #4 [8086:2937] (rev 02) (prog-if 00 [UHCI])
	Subsystem: Intel Corporation Device [8086:5044]
	Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin A routed to IRQ 18
	Region 4: I/O ports at 40e0 [size=32]
	Capabilities: <access denied>
	Kernel driver in use: uhci_hcd

00:1a.1 USB Controller [0c03]: Intel Corporation 82801I (ICH9 Family) USB UHCI Controller #5 [8086:2938] (rev 02) (prog-if 00 [UHCI])
	Subsystem: Intel Corporation Device [8086:5044]
	Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin B routed to IRQ 21
	Region 4: I/O ports at 40c0 [size=32]
	Capabilities: <access denied>
	Kernel driver in use: uhci_hcd

00:1a.2 USB Controller [0c03]: Intel Corporation 82801I (ICH9 Family) USB UHCI Controller #6 [8086:2939] (rev 02) (prog-if 00 [UHCI])
	Subsystem: Intel Corporation Device [8086:5044]
	Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin C routed to IRQ 17
	Region 4: I/O ports at 40a0 [size=32]
	Capabilities: <access denied>
	Kernel driver in use: uhci_hcd

00:1a.7 USB Controller [0c03]: Intel Corporation 82801I (ICH9 Family) USB2 EHCI Controller #2 [8086:293c] (rev 02) (prog-if 20 [EHCI])
	Subsystem: Intel Corporation Device [8086:5044]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin C routed to IRQ 17
	Region 0: Memory at e04a5c00 (32-bit, non-prefetchable) [size=1K]
	Capabilities: <access denied>
	Kernel driver in use: ehci_hcd

00:1b.0 Audio device [0403]: Intel Corporation 82801I (ICH9 Family) HD Audio Controller [8086:293e] (rev 02)
	Subsystem: Intel Corporation Device [8086:0002]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Interrupt: pin A routed to IRQ 22
	Region 0: Memory at e04a0000 (64-bit, non-prefetchable) [size=16K]
	Capabilities: <access denied>
	Kernel driver in use: HDA Intel

00:1c.0 PCI bridge [0604]: Intel Corporation 82801I (ICH9 Family) PCI Express Port 1 [8086:2940] (rev 02) (prog-if 00 [Normal decode])
	Control: I/O- Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx+
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Bus: primary=00, secondary=02, subordinate=02, sec-latency=0
	Secondary status: 66MHz- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort+ <SERR- <PERR-
	BridgeCtl: Parity- SERR- NoISA+ VGA- MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
	Capabilities: <access denied>
	Kernel driver in use: pcieport-driver

00:1c.1 PCI bridge [0604]: Intel Corporation 82801I (ICH9 Family) PCI Express Port 2 [8086:2942] (rev 02) (prog-if 00 [Normal decode])
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx+
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Bus: primary=00, secondary=03, subordinate=03, sec-latency=0
	I/O behind bridge: 00002000-00002fff
	Memory behind bridge: e0100000-e01fffff
	Secondary status: 66MHz- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- <SERR- <PERR-
	BridgeCtl: Parity- SERR- NoISA+ VGA- MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
	Capabilities: <access denied>
	Kernel driver in use: pcieport-driver

00:1c.2 PCI bridge [0604]: Intel Corporation 82801I (ICH9 Family) PCI Express Port 3 [8086:2944] (rev 02) (prog-if 00 [Normal decode])
	Control: I/O- Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx+
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Bus: primary=00, secondary=04, subordinate=04, sec-latency=0
	Secondary status: 66MHz- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort+ <SERR- <PERR-
	BridgeCtl: Parity- SERR- NoISA+ VGA- MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
	Capabilities: <access denied>
	Kernel driver in use: pcieport-driver

00:1c.3 PCI bridge [0604]: Intel Corporation 82801I (ICH9 Family) PCI Express Port 4 [8086:2946] (rev 02) (prog-if 00 [Normal decode])
	Control: I/O- Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx+
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Bus: primary=00, secondary=05, subordinate=05, sec-latency=0
	Secondary status: 66MHz- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort+ <SERR- <PERR-
	BridgeCtl: Parity- SERR- NoISA+ VGA- MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
	Capabilities: <access denied>
	Kernel driver in use: pcieport-driver

00:1c.4 PCI bridge [0604]: Intel Corporation 82801I (ICH9 Family) PCI Express Port 5 [8086:2948] (rev 02) (prog-if 00 [Normal decode])
	Control: I/O- Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx+
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Bus: primary=00, secondary=06, subordinate=06, sec-latency=0
	Secondary status: 66MHz- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort+ <SERR- <PERR-
	BridgeCtl: Parity- SERR- NoISA+ VGA- MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
	Capabilities: <access denied>
	Kernel driver in use: pcieport-driver

00:1d.0 USB Controller [0c03]: Intel Corporation 82801I (ICH9 Family) USB UHCI Controller #1 [8086:2934] (rev 02) (prog-if 00 [UHCI])
	Subsystem: Intel Corporation Device [8086:5044]
	Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin A routed to IRQ 23
	Region 4: I/O ports at 4080 [size=32]
	Capabilities: <access denied>
	Kernel driver in use: uhci_hcd

00:1d.1 USB Controller [0c03]: Intel Corporation 82801I (ICH9 Family) USB UHCI Controller #2 [8086:2935] (rev 02) (prog-if 00 [UHCI])
	Subsystem: Intel Corporation Device [8086:5044]
	Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin B routed to IRQ 19
	Region 4: I/O ports at 4060 [size=32]
	Capabilities: <access denied>
	Kernel driver in use: uhci_hcd

00:1d.2 USB Controller [0c03]: Intel Corporation 82801I (ICH9 Family) USB UHCI Controller #3 [8086:2936] (rev 02) (prog-if 00 [UHCI])
	Subsystem: Intel Corporation Device [8086:5044]
	Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin C routed to IRQ 18
	Region 4: I/O ports at 4040 [size=32]
	Capabilities: <access denied>
	Kernel driver in use: uhci_hcd

00:1d.7 USB Controller [0c03]: Intel Corporation 82801I (ICH9 Family) USB2 EHCI Controller #1 [8086:293a] (rev 02) (prog-if 20 [EHCI])
	Subsystem: Intel Corporation Device [8086:5044]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin A routed to IRQ 23
	Region 0: Memory at e04a5800 (32-bit, non-prefetchable) [size=1K]
	Capabilities: <access denied>
	Kernel driver in use: ehci_hcd

00:1e.0 PCI bridge [0604]: Intel Corporation 82801 PCI Bridge [8086:244e] (rev 92) (prog-if 01 [Subtractive decode])
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Bus: primary=00, secondary=07, subordinate=07, sec-latency=32
	I/O behind bridge: 00001000-00001fff
	Memory behind bridge: e0000000-e00fffff
	Prefetchable memory behind bridge: 00000000e0500000-00000000e05fffff
	Secondary status: 66MHz- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort+ <SERR- <PERR-
	BridgeCtl: Parity- SERR- NoISA+ VGA- MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
	Capabilities: <access denied>

00:1f.0 ISA bridge [0601]: Intel Corporation 82801IH (ICH9DH) LPC Interface Controller [8086:2912] (rev 02)
	Subsystem: Intel Corporation Device [8086:5044]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Capabilities: <access denied>

00:1f.2 SATA controller [0106]: Intel Corporation 82801IR/IO/IH (ICH9R/DO/DH) 6 port SATA AHCI Controller [8086:2922] (rev 02) (prog-if 01 [AHCI 1.0])
	Subsystem: Intel Corporation Device [8086:5044]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx+
	Status: Cap+ 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin A routed to IRQ 31
	Region 0: I/O ports at 4428 [size=8]
	Region 1: I/O ports at 443c [size=4]
	Region 2: I/O ports at 4420 [size=8]
	Region 3: I/O ports at 4438 [size=4]
	Region 4: I/O ports at 4020 [size=32]
	Region 5: Memory at e04a5000 (32-bit, non-prefetchable) [size=2K]
	Capabilities: <access denied>
	Kernel driver in use: ahci

00:1f.3 SMBus [0c05]: Intel Corporation 82801I (ICH9 Family) SMBus Controller [8086:2930] (rev 02)
	Subsystem: Intel Corporation Device [8086:5044]
	Control: I/O+ Mem+ BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Interrupt: pin B routed to IRQ 18
	Region 0: Memory at e04a6000 (64-bit, non-prefetchable) [size=256]
	Region 4: I/O ports at 4000 [size=32]
	Kernel driver in use: i801_smbus

01:00.0 VGA compatible controller [0300]: ATI Technologies Inc Mobility Radeon HD 3600 Series [1002:9598] (prog-if 00 [VGA controller])
	Subsystem: ASUSTeK Computer Inc. Device [1043:01da]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx+
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Interrupt: pin A routed to IRQ 32
	Region 0: Memory at c0000000 (64-bit, prefetchable) [size=256M]
	Region 2: Memory at e0300000 (64-bit, non-prefetchable) [size=64K]
	Region 4: I/O ports at 3000 [size=256]
	Expansion ROM at e0320000 [disabled] [size=128K]
	Capabilities: <access denied>
	Kernel driver in use: fglrx_pci

01:00.1 Audio device [0403]: ATI Technologies Inc RV635 Audio device [Radeon HD 3600 Series] [1002:aa20]
	Subsystem: ASUSTeK Computer Inc. Device [1043:aa20]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Interrupt: pin B routed to IRQ 17
	Region 0: Memory at e0310000 (64-bit, non-prefetchable) [size=16K]
	Capabilities: <access denied>
	Kernel driver in use: HDA Intel

03:00.0 IDE interface [0101]: Marvell Technology Group Ltd. 88SE6101 single-port PATA133 interface [11ab:6101] (rev b1) (prog-if 8f [Master SecP SecO PriP PriO])
	Subsystem: Marvell Technology Group Ltd. 88SE6101 single-port PATA133 interface [11ab:6101]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Interrupt: pin A routed to IRQ 17
	Region 0: I/O ports at 2018 [size=8]
	Region 1: I/O ports at 2024 [size=4]
	Region 2: I/O ports at 2010 [size=8]
	Region 3: I/O ports at 2020 [size=4]
	Region 4: I/O ports at 2000 [size=16]
	Region 5: Memory at e0100000 (32-bit, non-prefetchable) [size=512]
	Capabilities: <access denied>
	Kernel driver in use: pata_marvell

07:00.0 Ethernet controller [0200]: 3Com Corporation 3c905C-TX/TX-M [Tornado] [10b7:9200] (rev 74)
	Subsystem: 3Com Corporation 3C905CX-TX/TX-M Fast Etherlink for PC Management NIC [10b7:1000]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV+ VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 32 (2500ns min, 2500ns max), Cache Line Size: 64 bytes
	Interrupt: pin A routed to IRQ 21
	Region 0: I/O ports at 1000 [size=128]
	Region 1: Memory at e000c800 (32-bit, non-prefetchable) [size=128]
	Expansion ROM at e0500000 [disabled] [size=128K]
	Capabilities: <access denied>
	Kernel driver in use: 3c59x

07:01.0 Network controller [0280]: RaLink RT2561/RT61 802.11g PCI [1814:0301]
	Subsystem: RaLink EW-7108PCg [1814:2561]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV+ VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=slow >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 32, Cache Line Size: 64 bytes
	Interrupt: pin A routed to IRQ 22
	Region 0: Memory at e0000000 (32-bit, non-prefetchable) [size=32K]
	Capabilities: <access denied>
	Kernel driver in use: rt61pci

07:02.0 Multimedia audio controller [0401]: Creative Labs SB Live! EMU10k1 [1102:0002] (rev 08)
	Subsystem: Creative Labs CT4832 SBLive! Value [1102:8027]
	Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 32 (500ns min, 5000ns max)
	Interrupt: pin A routed to IRQ 18
	Region 0: I/O ports at 1080 [size=32]
	Capabilities: <access denied>
	Kernel driver in use: EMU10K1_Audigy

07:02.1 Input device controller [0980]: Creative Labs SB Live! Game Port [1102:7002] (rev 08)
	Subsystem: Creative Labs Gameport Joystick [1102:0020]
	Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 32
	Region 0: I/O ports at 10a0 [size=8]
	Capabilities: <access denied>
	Kernel driver in use: Emu10k1_gameport

07:03.0 FireWire (IEEE 1394) [0c00]: Texas Instruments TSB43AB22/A IEEE-1394a-2000 Controller (PHY/Link) [104c:8023] (prog-if 10 [OHCI])
	Subsystem: Intel Corporation Device [8086:5044]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV+ VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 32 (500ns min, 1000ns max), Cache Line Size: 64 bytes
	Interrupt: pin A routed to IRQ 19
	Region 0: Memory at e000c000 (32-bit, non-prefetchable) [size=2K]
	Region 1: Memory at e0008000 (32-bit, non-prefetchable) [size=16K]
	Capabilities: <access denied>
	Kernel driver in use: firewire_ohci


** USB devices:
Bus 007 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 008 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 003 Device 002: ID 1131:1001 Integrated System Solution Corp. KY-BT100 Bluetooth Adapter
Bus 003 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 004 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 005 Device 002: ID 046d:c049 Logitech, Inc. G5 Laser Mouse
Bus 005 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 006 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 001 Device 005: ID 05e3:0606 Genesys Logic, Inc. USB 2.0 Hub / D-Link DUB-H4 USB 2.0 Hub
Bus 001 Device 006: ID 045e:003c Microsoft Corp. SideWinder Joystick
Bus 001 Device 003: ID 0424:2514 Standard Microsystems Corp. 
Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 002 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub


-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (990, 'unstable'), (400, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.30-2-amd64 (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=cs_CZ.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages linux-image-2.6.31-1-amd64 depends on:
ii  debconf [debconf-2.0]         1.5.28     Debian configuration management sy
ii  initramfs-tools [linux-initra 0.93.4     tools for generating an initramfs
ii  module-init-tools             3.11-1     tools for managing Linux kernel mo

Versions of packages linux-image-2.6.31-1-amd64 recommends:
ii  firmware-linux-free           2.6.31-1   Binary firmware for various driver

Versions of packages linux-image-2.6.31-1-amd64 suggests:
pn  grub | lilo                   <none>     (no description available)
pn  linux-doc-2.6.31              <none>     (no description available)

Versions of packages linux-image-2.6.31-1-amd64 is related to:
pn  firmware-bnx2                 <none>     (no description available)
pn  firmware-bnx2x                <none>     (no description available)
pn  firmware-ipw2x00              <none>     (no description available)
pn  firmware-ivtv                 <none>     (no description available)
pn  firmware-iwlwifi              <none>     (no description available)
ii  firmware-linux                0.21       Binary firmware for various driver
ii  firmware-linux-nonfree        0.21       Binary firmware for various driver
pn  firmware-qlogic               <none>     (no description available)
ii  firmware-ralink               0.21       Binary firmware for Ralink RT2561,

-- debconf information:
* linux-image-2.6.31-1-amd64/postinst/missing-firmware-2.6.31-1-amd64:
  linux-image-2.6.31-1-amd64/postinst/bootloader-error-2.6.31-1-amd64:
  linux-image-2.6.31-1-amd64/prerm/removing-running-kernel-2.6.31-1-amd64: true
  shared/kernel-image/really-run-bootloader: true
  linux-image-2.6.31-1-amd64/prerm/would-invalidate-boot-loader-2.6.31-1-amd64: true
  linux-image-2.6.31-1-amd64/postinst/depmod-error-initrd-2.6.31-1-amd64: false
  linux-image-2.6.31-1-amd64/postinst/bootloader-test-error-2.6.31-1-amd64:




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#554214; Package linux-2.6. (Tue, 03 Nov 2009 21:03:14 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michal Kašpar <mkaspar@it-media.cz>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Tue, 03 Nov 2009 21:03:14 GMT) Full text and rfc822 format available.

Message #10 received at 554214@bugs.debian.org (full text, mbox):

From: Michal Kašpar <mkaspar@it-media.cz>
To: 554214@bugs.debian.org
Subject: Re: Bug#554214: Acknowledgement (linux-image-2.6.31-1-amd64: RaLink RT2561/RT61 wireless card stopped working in 2.6.31)
Date: Tue, 03 Nov 2009 21:56:09 +0100
Further information:
I've tried to set up WPA in my network and the card started to work
well. So the problem appears only with WEP.

-- 
Michal Kašpar





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#554214; Package linux-2.6. (Wed, 04 Nov 2009 03:12:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Wed, 04 Nov 2009 03:12:04 GMT) Full text and rfc822 format available.

Message #15 received at 554214@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: Michal Kašpar <mkaspar@it-media.cz>, 554214@bugs.debian.org
Subject: Re: Bug#554214: linux-image-2.6.31-1-amd64: RaLink RT2561/RT61 wireless card stopped working in 2.6.31
Date: Wed, 04 Nov 2009 03:02:26 +0000
[Message part 1 (text/plain, inline)]
On Tue, 2009-11-03 at 20:18 +0100, Michal Kašpar wrote:
> Package: linux-2.6
> Version: 2.6.31-1
> Severity: important
> 
> 
> After upgrade to kernel 2.6.31 (from 2.6.30), wireless card stopped
> working. It seems to be set up fine, associates with AP but it is unable
> to communicate. Ping or any other network communication doesn't work.
> After reboot to 2.6.30, everything works fine.

Please report this upstream at <http://bugzilla.kernel.org> and let us
know the bug number so we can follow its progress.

Ben.

-- 
Ben Hutchings
The generation of random numbers is too important to be left to chance.
                                                            - Robert Coveyou
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#554214; Package linux-2.6. (Wed, 11 Nov 2009 21:18:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michal Kašpar <mkaspar@it-media.cz>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Wed, 11 Nov 2009 21:18:08 GMT) Full text and rfc822 format available.

Message #20 received at 554214@bugs.debian.org (full text, mbox):

From: Michal Kašpar <mkaspar@it-media.cz>
To: 554214@bugs.debian.org
Subject: Re: Bug#554214: linux-image-2.6.31-1-amd64: RaLink RT2561/RT61 wireless card stopped working in 2.6.31
Date: Wed, 11 Nov 2009 21:57:35 +0100
I've added it as a comment to
http://bugzilla.kernel.org/show_bug.cgi?id=14460 as it seems quite
similar.

-- 
Michal Kašpar





Set Bug forwarded-to-address to 'http://bugzilla.kernel.org/show_bug.cgi?id=14460'. Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Thu, 12 Nov 2009 02:18:03 GMT) Full text and rfc822 format available.

Added tag(s) fixed-upstream. Request was from bts-link-upstream@lists.alioth.debian.org to control@bugs.debian.org. (Mon, 11 Oct 2010 16:42:12 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#554214; Package linux-2.6. (Tue, 12 Oct 2010 01:06:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Tue, 12 Oct 2010 01:06:02 GMT) Full text and rfc822 format available.

Message #29 received at 554214@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: Michal Kašpar <mkaspar@it-media.cz>
Cc: 554214@bugs.debian.org
Subject: Re: Bug#554214: linux-image-2.6.31-1-amd64: RaLink RT2561/RT61 wireless card stopped working in 2.6.31
Date: Tue, 12 Oct 2010 02:03:21 +0100
[Message part 1 (text/plain, inline)]
On Wed, 2009-11-11 at 21:57 +0100, Michal Kašpar wrote:
> I've added it as a comment to
> http://bugzilla.kernel.org/show_bug.cgi?id=14460 as it seems quite
> similar.

That's now (finally) marked as fixed, but the fix involved a change to
AMD bus setup whereas I see you were using an Intel-based system.  I
think you must have found a different bug.  Has this been fixed by a
later Debian package version?

Ben.

-- 
Ben Hutchings
Once a job is fouled up, anything done to improve it makes it worse.
[signature.asc (application/pgp-signature, inline)]

Unset Bug forwarded-to-address Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Tue, 12 Oct 2010 01:06:04 GMT) Full text and rfc822 format available.

Removed tag(s) fixed-upstream. Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Tue, 12 Oct 2010 01:06:06 GMT) Full text and rfc822 format available.

Added tag(s) moreinfo. Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Tue, 12 Oct 2010 01:06:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#554214; Package linux-2.6. (Sat, 30 Jul 2011 12:29:44 GMT) Full text and rfc822 format available.

Acknowledgement sent to Moritz Mühlenhoff <jmm@inutil.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sat, 30 Jul 2011 12:29:48 GMT) Full text and rfc822 format available.

Message #40 received at 554214@bugs.debian.org (full text, mbox):

From: Moritz Mühlenhoff <jmm@inutil.org>
To: Michal Kašpar <mkaspar@it-media.cz>
Cc: 554214@bugs.debian.org
Subject: Re: Bug#554214: linux-image-2.6.31-1-amd64: RaLink RT2561/RT61 wireless card stopped working in 2.6.31
Date: Sat, 30 Jul 2011 14:28:40 +0200
On Tue, Oct 12, 2010 at 02:03:21AM +0100, Ben Hutchings wrote:
> On Wed, 2009-11-11 at 21:57 +0100, Michal Kašpar wrote:
> > I've added it as a comment to
> > http://bugzilla.kernel.org/show_bug.cgi?id=14460 as it seems quite
> > similar.
> 
> That's now (finally) marked as fixed, but the fix involved a change to
> AMD bus setup whereas I see you were using an Intel-based system.  I
> think you must have found a different bug.  Has this been fixed by a
> later Debian package version?

Michal, were you able to test this?

Cheers,
        Moritz




Reply sent to Bastian Blank <waldi@debian.org>:
You have taken responsibility. (Sun, 30 Oct 2011 15:15:10 GMT) Full text and rfc822 format available.

Notification sent to Michal Kašpar <mkaspar@it-media.cz>:
Bug acknowledged by developer. (Sun, 30 Oct 2011 15:15:10 GMT) Full text and rfc822 format available.

Message #45 received at 554214-done@bugs.debian.org (full text, mbox):

From: Bastian Blank <waldi@debian.org>
To: 554214-done@bugs.debian.org
Subject: no information
Date: Sun, 30 Oct 2011 16:13:57 +0100
The submitter did not provide any further information. Closing.

Bastian

-- 
Virtue is a relative term.
		-- Spock, "Friday's Child", stardate 3499.1




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 28 Nov 2011 07:32:47 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 22:04:08 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.